Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 420819 - net-im/pidgin add support for mxit protocol
Summary: net-im/pidgin add support for mxit protocol
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-12 11:44 UTC by Andre Coetzee
Modified: 2013-06-20 14:08 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
pidgin-2.10.4-r1-mxit.patch (pidgin-2.10.4-r1-mxit.patch,822 bytes, text/plain)
2012-06-12 11:44 UTC, Andre Coetzee
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andre Coetzee 2012-06-12 11:44:32 UTC
Created attachment 315089 [details]
pidgin-2.10.4-r1-mxit.patch

The current ebuild for pidgin 2.10.4 and earlier has no support for the MXit IM protocol. 


Reproducible: Always

Steps to Reproduce:
1. emerge pidgin
2. add new account

Actual Results:  
You don't see the option to add a MXit IM account.

Expected Results:  
The option to add a MXit IM account.

Adding "mxit" to DYNAMIC_PRPLS sets things right, but adding a "mxit" USE flag would give the user more choice.
Comment 1 Andre Coetzee 2012-07-07 09:51:48 UTC
net-im/pidgin-2.10.5 is released and mxit protocol is still not compiled in, neither as default DYNAMIC_PRPLS nor as a USE option.

Is anyone looking at this yet?
Comment 2 Andre Coetzee 2012-07-10 19:40:02 UTC
--- /usr/portage/net-im/pidgin/pidgin-2.10.6.ebuild     2012-07-09 16:01:46.000000000 +0200
+++ pidgin-2.10.6-r1.ebuild     2012-07-10 21:34:32.517302374 +0200
@@ -17,7 +17,7 @@
 IUSE="dbus debug doc eds gadu gnutls +gstreamer +gtk idn meanwhile"
 IUSE+=" networkmanager nls perl silc tcl tk spell sasl ncurses"
 IUSE+=" groupwise prediction python +xscreensaver zephyr zeroconf" # mono"
-IUSE+=" aqua"
+IUSE+=" aqua mxit"
 
 # dbus requires python to generate C code for dbus bindings (thus DEPEND only).
 # finch uses libgnt that links with libpython - {R,}DEPEND. But still there is
@@ -154,6 +154,7 @@
        use zeroconf && DYNAMIC_PRPLS+=",bonjour"
        use groupwise && DYNAMIC_PRPLS+=",novell"
        use zephyr && DYNAMIC_PRPLS+=",zephyr"
+       use mxit && DYNAMIC_PRPLS+=",mxit"
 
        if use gnutls; then
                einfo "Disabling NSS, using GnuTLS"
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2013-06-20 14:08:43 UTC
+*pidgin-2.10.7-r2 (20 Jun 2013)
+
+  20 Jun 2013; Lars Wendler <polynomial-c@gentoo.org> +pidgin-2.10.7-r2.ebuild,
+  +files/pidgin-eds-3.6.patch.bz2, metadata.xml:
+  Added mxit protocol as per bug #420819 and added the patch from bug #434212
+  to make pidgin compile against >=evolution-data-server-3.6. Converted the
+  package to use new python eclass.
+